import { defineColumns } from '@bole-core/components';

export const columns = defineColumns([
  {
    id: '1',
    enCode: 'serialNum',
    name: '批次号',
    width: 160,
  },
  {
    id: '2',
    enCode: 'insureBillNo',
    name: '保单号',
    width: 160,
  },
  {
    id: '3',
    enCode: 'insurerName',
    name: '投保人',
    width: 160,
  },
  {
    id: '4',
    enCode: 'policyerName',
    name: '被保人',
    width: 160,
  },
  {
    id: '5',
    enCode: 'effectStartTime',
    name: '保险起期',
    width: 160,
  },
  {
    id: '6',
    enCode: 'effectEndTime',
    name: '保险止期',
    width: 160,
  },
  {
    id: '7',
    enCode: 'insuranceOrg',
    name: '参保机构',
    width: 160,
  },
  {
    id: '8',
    enCode: 'insuranceScheme',
    name: '投保方案',
    width: 160,
  },
  {
    id: '9',
    enCode: 'insurancePeriod',
    name: '投保方式',
    width: 160,
  },
  {
    id: '10',
    enCode: 'insureCount',
    name: '投保人数',
    width: 160,
  },
  {
    id: '11',
    enCode: 'sumInsured',
    name: '总保额(元)',
    width: 200,
  },
  {
    id: '12',
    enCode: 'amount',
    name: '总保费(元)',
    width: 160,
  },
  {
    id: '13',
    enCode: 'creationTime',
    name: '最近导入日期',
    width: 160,
  },
  {
    id: '14',
    enCode: 'auditStatus',
    name: '审核状态',
    width: 160,
  },
  {
    id: '141',
    enCode: 'payStatus',
    name: '支付状态',
    width: 160,
  },
  {
    id: '15',
    enCode: 'status',
    name: '投保状态',
    width: 160,
  },
  {
    id: '16',
    enCode: 'claimCount',
    name: '理赔数量',
    width: 160,
  },
]).filter(Boolean);

export const InsurancePolicyStampFilesColumns = defineColumns([
  {
    id: '1',
    enCode: 'channelOrderNo',
    name: '订单号',
  },
  {
    id: '2',
    enCode: 'proposalNo',
    name: '投保单号',
  },
  {
    id: '3',
    enCode: 'sumSignPremium',
    name: '保费金额',
  },
]);

export const InsureDownloadInvoiceColumns = defineColumns([
  {
    id: '1',
    enCode: 'channelOrderNo',
    name: '订单号',
  },
  {
    id: '2',
    enCode: 'proposalNo',
    name: '投保单号',
  },
  {
    id: '3',
    enCode: 'invoiceSerialNo',
    name: '发票号码',
  },
  {
    id: '4',
    enCode: 'invoicePlanFee',
    name: '价税合计',
  },
]);

export const InsurePayDetailColumns = defineColumns([
  {
    id: '1',
    enCode: 'channelOrderNo',
    name: '订单号',
  },
  {
    id: '2',
    enCode: 'proposalNo',
    name: '投保单号',
  },
  {
    id: '3',
    enCode: 'sumSignPremium',
    name: '保费金额',
  },
  {
    id: '4',
    enCode: 'status',
    name: '支付状态',
  },
]);
